Package com.arms.api.jira.jiraproject.service

## Class JiraProjectImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.jira.jiraproject.service.JiraProjectImpl

- All Implemented Interfaces:
    `JiraProject`, `TreeService`

      @Service("jiraProject")
      public class JiraProjectImpl
      extends TreeServiceImpl
      implements JiraProject

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JiraProjectImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<JiraIssueTypeEntity>` | `프로젝트_이슈유형_리스트_조회​(JiraProjectEntity jiraProjectEntity)` |
    `JiraProjectEntity` | `프로젝트_항목별_기본값_설정​(EntityType 설정할_항목, java.lang.Long 항목_c_id, JiraProjectEntity jiraProjectEntity)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### JiraProjectImpl

          public JiraProjectImpl()

  - ### Method Detail

    - #### 프로젝트_이슈유형_리스트_조회

          public java.util.List<JiraIssueTypeEntity> 프로젝트_이슈유형_리스트_조회​(JiraProjectEntity jiraProjectEntity)
                                                               throws java.lang.Exception

      Specified by:
        `프로젝트_이슈유형_리스트_조회` in interface `JiraProject`
      Throws:
        `java.lang.Exception`

    - #### 프로젝트_항목별_기본값_설정

          @Transactional
          public JiraProjectEntity 프로젝트_항목별_기본값_설정​(EntityType 설정할_항목,
                                                   java.lang.Long 항목_c_id,
                                                   JiraProjectEntity jiraProjectEntity)
                                            throws java.lang.Exception

      Specified by:
        `프로젝트_항목별_기본값_설정` in interface `JiraProject`
      Throws:
        `java.lang.Exception`